# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_textanalytics 0.17.3 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_textanalytics".freeze
  s.version = "0.17.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_textanalytics" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2024-07-17"
  s.description = "Microsoft Azure Cognitive Services Text Analytics Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/azure_cognitiveservices_textanalytics.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/textanalytics_profile_module.rb".freeze, "lib/profiles/latest/textanalytics_latest_profile_client.rb".freeze, "lib/profiles/latest/textanalytics_module_definition.rb".freeze, "lib/v2.0".freeze, "lib/v2.0/generated".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/batch_input.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/detected_language.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/entities_batch_result.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/entities_batch_result_item.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/entity_record.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/error_record.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/error_response.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/input.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/internal_error.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/key_phrase_batch_result.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/key_phrase_batch_result_item.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/language_batch_result.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/language_batch_result_item.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/match_record.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/multi_language_batch_input.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/multi_language_input.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/sentiment_batch_result.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/models/sentiment_batch_result_item.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/module_definition.rb".freeze, "lib/v2.0/generated/azure_cognitiveservices_textanalytics/text_analytics_client.rb".freeze, "lib/v2.1".freeze, "lib/v2.1-preview".freeze, "lib/v2.1-preview/generated".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/batch_input.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/detected_language.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/entities_batch_result_item_v2dot1.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/entities_batch_result_v2dot1.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/entity_record_v2dot1.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/error_record.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/error_response.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/input.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/internal_error.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/key_phrase_batch_result.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/key_phrase_batch_result_item.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/language_batch_result.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/language_batch_result_item.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/match_record_v2dot1.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/multi_language_batch_input.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/multi_language_input.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/sentiment_batch_result.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/models/sentiment_batch_result_item.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/module_definition.rb".freeze, "lib/v2.1-preview/generated/azure_cognitiveservices_textanalytics/text_analytics_client.rb".freeze, "lib/v2.1/generated".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/detected_language.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/document_statistics.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/entities_batch_result.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/entities_batch_result_item.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/entity_record.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/error_record.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/error_response.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/internal_error.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/key_phrase_batch_result.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/key_phrase_batch_result_item.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/language_batch_input.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/language_batch_result.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/language_batch_result_item.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/language_input.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/match_record.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/multi_language_batch_input.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/multi_language_input.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/request_statistics.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/sentiment_batch_result.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/models/sentiment_batch_result_item.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/module_definition.rb".freeze, "lib/v2.1/generated/azure_cognitiveservices_textanalytics/text_analytics_client.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Text Analytics.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
